<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/pdma.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">pdma.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d47/pdma_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifndef __PDMA_H__</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#define __PDMA_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="comment">/*  Data Width Constant Definitions                                                                        */</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac2d69c77ef2c12860be0c946ab509c52">   36</a></span><span class="preprocessor">#define PDMA_WIDTH_8        0x00080000UL            </span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga10522cab6c0fa8d45aeb59deb064dfac">   37</a></span><span class="preprocessor">#define PDMA_WIDTH_16       0x00100000UL            </span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0e4d6deef47ba09e97543dc7594a59a3">   38</a></span><span class="preprocessor">#define PDMA_WIDTH_32       0x00000000UL            </span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="comment">/*  Address Attribute Constant Definitions                                                                 */</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1d0ab72a1e9a8daaeef08cb6965bc7d5">   43</a></span><span class="preprocessor">#define PDMA_SAR_INC        0x00000000UL            </span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8d3be22ba29f16cb303c5d3c5b7d7dca">   44</a></span><span class="preprocessor">#define PDMA_SAR_FIX        0x00000020UL            </span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6e4dd7405575c9c493fd0caf15814800">   45</a></span><span class="preprocessor">#define PDMA_SAR_WRA        0x00000030UL            </span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf87d318bb050f2b2e28e5b75a633ab40">   46</a></span><span class="preprocessor">#define PDMA_DAR_INC        0x00000000UL            </span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga22d43fb8061d03b776184d56f5d617f4">   47</a></span><span class="preprocessor">#define PDMA_DAR_FIX        0x00000080UL            </span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga854ba02e7cac7866a4cb9b90cdd153e2">   48</a></span><span class="preprocessor">#define PDMA_DAR_WRA        0x000000C0UL            </span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span><span class="comment">/*  Peripheral Transfer Mode Constant Definitions                                                          */</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9ff6104fb9271fb8fae39867535244ea">   53</a></span><span class="preprocessor">#define PDMA_SPI0_TX        0x00000000UL            </span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga07bbb3174e1c310aaf1c232a11ddbc62">   54</a></span><span class="preprocessor">#define PDMA_SPI1_TX        0x00000001UL            </span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad625d970deaa570105920c81c1500afe">   55</a></span><span class="preprocessor">#define PDMA_UART0_TX       0x00000002UL            </span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab7062d121208f552131821681af03a0c">   56</a></span><span class="preprocessor">#define PDMA_UART1_TX       0x00000003UL            </span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9fa15658aac2952bdcbc6f550eb6a688">   57</a></span><span class="preprocessor">#define PDMA_TMR0_TX        0x00000009UL            </span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae5a6d206f45aa185bc0c0853ff0d7272">   58</a></span><span class="preprocessor">#define PDMA_TMR1_TX        0x0000000AUL            </span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8cea4fa7294830387a1c3271f049ce80">   59</a></span><span class="preprocessor">#define PDMA_TMR2_TX        0x0000000BUL            </span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9a45d86369963ad1e8016caae0409c30">   60</a></span><span class="preprocessor">#define PDMA_TMR3_TX        0x0000000CUL            </span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa57b1014fe27240eb0568ee37441a3c3">   62</a></span><span class="preprocessor">#define PDMA_SPI0_RX        0x00000010UL            </span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacba44d471efef119711b3e3f6547c133">   63</a></span><span class="preprocessor">#define PDMA_SPI1_RX        0x00000011UL            </span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga67a69da9283454af1332746b5f443d23">   64</a></span><span class="preprocessor">#define PDMA_UART0_RX       0x00000012UL            </span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga18106be6fdcb4ecb40d5dabd85d845bc">   65</a></span><span class="preprocessor">#define PDMA_UART1_RX       0x00000013UL            </span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2c079335316a7755dd7549369cc60a33">   66</a></span><span class="preprocessor">#define PDMA_ADC            0x00000016UL            </span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga681423450ceecede8721047dfa974193">   67</a></span><span class="preprocessor">#define PDMA_PWM0_CH0       0x00000019UL            </span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf63d8970aab98ba85d6cbf986a6447a8">   68</a></span><span class="preprocessor">#define PDMA_PWM0_CH2       0x0000001AUL            </span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga345574611c87136e7d228d877449ad4e">   69</a></span><span class="preprocessor">#define PDMA_MEM            0x0000001FUL             </span><span class="comment">/* end of group NANO1X2_PDMA_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga80902f661e20836c3c80540c4db4b7c4">   87</a></span><span class="preprocessor">#define PDMA_GET_INT_STATUS()   ((uint32_t)(PDMAGCR-&gt;GCRISR))</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span> </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1d656af0e09923d7823cca53c95ba4c5">   99</a></span><span class="preprocessor">#define PDMA_GET_CH_INT_STS(u32Ch)   (*((__IO uint32_t *)((uint32_t)&amp;PDMA1-&gt;ISR + (uint32_t)((u32Ch-1)*0x100))))</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span> </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga711c94f0845b8b8abe342bbe89854ca0">  112</a></span><span class="preprocessor">#define PDMA_CLR_CH_INT_FLAG(u32Ch, u32Mask)   (*((__IO uint32_t *)((uint32_t)&amp;PDMA1-&gt;ISR + (uint32_t)((u32Ch-1)*0x100))) = (u32Mask))</span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span> </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga610eb8f9bfebadcc02204cb5cc8142ba">  125</a></span><span class="preprocessor">#define PDMA_IS_CH_BUSY(u32Ch)    ((*((__IO uint32_t *)((uint32_t)&amp;PDMA1-&gt;CSR +(uint32_t)((u32Ch-1)*0x100))) &amp; PDMA_CSR_TRIG_EN_Msk)? 1 : 0)</span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span> </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno"><a class="line" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4ad503ead703803c6057a9d3c7fe535b">  138</a></span><span class="preprocessor">#define PDMA_SET_SRC_ADDR(u32Ch, u32Addr) (*((__IO uint32_t *)((uint32_t)&amp;PDMA1-&gt;SAR + (uint32_t)((u32Ch-1)*0x100))) = (u32Addr))</span></div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span> </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8cd611e41ed0e40c75a8bc7ea6cdabc7">  151</a></span><span class="preprocessor">#define PDMA_SET_DST_ADDR(u32Ch, u32Addr) (*((__IO uint32_t *)((uint32_t)&amp;PDMA1-&gt;DAR + (uint32_t)((u32Ch-1)*0x100))) = (u32Addr))</span></div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span> </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno"><a class="line" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0abeb742f3df394150a0789aa4dd1af0">  164</a></span><span class="preprocessor">#define PDMA_SET_TRANS_CNT(u32Ch, u32Count) {   \</span></div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span><span class="preprocessor">    if (((uint32_t)*((__IO uint32_t *)((uint32_t)&amp;PDMA1-&gt;CSR + (uint32_t)((u32Ch-1)*0x100))) &amp; PDMA_CSR_APB_TWS_Msk) == PDMA_WIDTH_32)  \</span></div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span><span class="preprocessor">        *((__IO uint32_t *)((uint32_t)&amp;PDMA1-&gt;BCR + (uint32_t)((u32Ch-1)*0x100))) = ((u32Count) &lt;&lt; 2);  \</span></div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span><span class="preprocessor">    else if (((uint32_t)*((__IO uint32_t *)((uint32_t)&amp;PDMA1-&gt;CSR + (uint32_t)((u32Ch-1)*0x100))) &amp; PDMA_CSR_APB_TWS_Msk) == PDMA_WIDTH_8)  \</span></div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span><span class="preprocessor">        *((__IO uint32_t *)((uint32_t)&amp;PDMA1-&gt;BCR + (uint32_t)((u32Ch-1)*0x100))) = (u32Count); \</span></div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span><span class="preprocessor">    else if (((uint32_t)*((__IO uint32_t *)((uint32_t)&amp;PDMA1-&gt;CSR + (uint32_t)((u32Ch-1)*0x100))) &amp; PDMA_CSR_APB_TWS_Msk) == PDMA_WIDTH_16) \</span></div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span><span class="preprocessor">        *((__IO uint32_t *)((uint32_t)&amp;PDMA1-&gt;BCR + (uint32_t)((u32Ch-1)*0x100))) = ((u32Count) &lt;&lt; 1);  \</span></div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span><span class="preprocessor">}</span></div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span> </div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno"><a class="line" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7ff26cd12b2ee45c33a0e3cfe61298b2">  183</a></span><span class="preprocessor">#define PDMA_STOP(u32Ch) (*((__IO uint32_t *)((uint32_t)&amp;PDMA1-&gt;CSR + (uint32_t)((u32Ch-1)*0x100))) &amp;= ~PDMA_CSR_PDMACEN_Msk)</span></div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span> </div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga57adda7a5b3cc4834bf6713af2992243">PDMA_Open</a>(uint32_t u32Mask);</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac243b7bdead36ee0dc6042c9c7e67aa1">PDMA_Close</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf8075439ad51f51ff6acc64218a74477">PDMA_SetTransferCnt</a>(uint32_t u32Ch, uint32_t u32Width, uint32_t u32TransCount);</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga18db38eff0079eefe428d2d7fbf2cc10">PDMA_SetTransferAddr</a>(uint32_t u32Ch, uint32_t u32SrcAddr, uint32_t u32SrcCtrl, uint32_t u32DstAddr, uint32_t u32DstCtrl);</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2adb19540b9241d0c7982cfa99251f8">PDMA_SetTransferMode</a>(uint32_t u32Ch, uint32_t u32Periphral, uint32_t u32ScatterEn, uint32_t u32DescAddr);</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3b46058bec15e3be2e3b4255c3aac3e4">PDMA_SetTimeOut</a>(uint32_t u32Ch, uint32_t u32OnOff, uint32_t u32TimeOutCnt);</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27b2c77a625837f0e75592b2c040993f">PDMA_Trigger</a>(uint32_t u32Ch);</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4fd46c5f3b680a1e7d5af398dc0f1981">PDMA_EnableInt</a>(uint32_t u32Ch, uint32_t u32Mask);</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacc2cc6a09900276aa06f40d287bd1346">PDMA_DisableInt</a>(uint32_t u32Ch, uint32_t u32Mask);</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span> <span class="comment">/* end of group NANO1X2_PDMA_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span> <span class="comment">/* end of group NANO1X2_PDMA_Driver */</span></div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span> </div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>}</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span> </div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span><span class="preprocessor">#endif </span><span class="comment">//__PDMA_H__</span></div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span> </div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga18db38eff0079eefe428d2d7fbf2cc10"><div class="ttname"><a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga18db38eff0079eefe428d2d7fbf2cc10">PDMA_SetTransferAddr</a></div><div class="ttdeci">void PDMA_SetTransferAddr(uint32_t u32Ch, uint32_t u32SrcAddr, uint32_t u32SrcCtrl, uint32_t u32DstAddr, uint32_t u32DstCtrl)</div><div class="ttdoc">Set PDMA Transfer Address.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d14/pdma_8c_source.html#l00105">pdma.c:105</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga27b2c77a625837f0e75592b2c040993f"><div class="ttname"><a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27b2c77a625837f0e75592b2c040993f">PDMA_Trigger</a></div><div class="ttdeci">void PDMA_Trigger(uint32_t u32Ch)</div><div class="ttdoc">Trigger PDMA.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d14/pdma_8c_source.html#l00191">pdma.c:191</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3b46058bec15e3be2e3b4255c3aac3e4"><div class="ttname"><a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3b46058bec15e3be2e3b4255c3aac3e4">PDMA_SetTimeOut</a></div><div class="ttdeci">void PDMA_SetTimeOut(uint32_t u32Ch, uint32_t u32OnOff, uint32_t u32TimeOutCnt)</div><div class="ttdoc">Set PDMA Timeout.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d14/pdma_8c_source.html#l00172">pdma.c:172</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga4fd46c5f3b680a1e7d5af398dc0f1981"><div class="ttname"><a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4fd46c5f3b680a1e7d5af398dc0f1981">PDMA_EnableInt</a></div><div class="ttdeci">void PDMA_EnableInt(uint32_t u32Ch, uint32_t u32Mask)</div><div class="ttdoc">Enable Interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d14/pdma_8c_source.html#l00209">pdma.c:209</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga57adda7a5b3cc4834bf6713af2992243"><div class="ttname"><a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga57adda7a5b3cc4834bf6713af2992243">PDMA_Open</a></div><div class="ttdeci">void PDMA_Open(uint32_t u32Mask)</div><div class="ttdoc">PDMA Open.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d14/pdma_8c_source.html#l00038">pdma.c:38</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gac243b7bdead36ee0dc6042c9c7e67aa1"><div class="ttname"><a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac243b7bdead36ee0dc6042c9c7e67aa1">PDMA_Close</a></div><div class="ttdeci">void PDMA_Close(void)</div><div class="ttdoc">PDMA Close.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d14/pdma_8c_source.html#l00052">pdma.c:52</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gacc2cc6a09900276aa06f40d287bd1346"><div class="ttname"><a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacc2cc6a09900276aa06f40d287bd1346">PDMA_DisableInt</a></div><div class="ttdeci">void PDMA_DisableInt(uint32_t u32Ch, uint32_t u32Mask)</div><div class="ttdoc">Disable Interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d14/pdma_8c_source.html#l00227">pdma.c:227</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad2adb19540b9241d0c7982cfa99251f8"><div class="ttname"><a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2adb19540b9241d0c7982cfa99251f8">PDMA_SetTransferMode</a></div><div class="ttdeci">void PDMA_SetTransferMode(uint32_t u32Ch, uint32_t u32Periphral, uint32_t u32ScatterEn, uint32_t u32DescAddr)</div><div class="ttdoc">Set PDMA Transfer Mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d14/pdma_8c_source.html#l00131">pdma.c:131</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaf8075439ad51f51ff6acc64218a74477"><div class="ttname"><a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf8075439ad51f51ff6acc64218a74477">PDMA_SetTransferCnt</a></div><div class="ttdeci">void PDMA_SetTransferCnt(uint32_t u32Ch, uint32_t u32Width, uint32_t u32TransCount)</div><div class="ttdoc">Set PDMA Transfer Count.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d14/pdma_8c_source.html#l00068">pdma.c:68</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:30 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
